import java.util.Date
import java.text.SimpleDateFormat
plugins {
    id 'com.android.application'
    id 'org.jetbrains.kotlin.android'
    id 'com.google.gms.google-services'
    id 'com.google.firebase.crashlytics'
}

String timestamp = new SimpleDateFormat("MM_dd_HH_mm").format(new Date())

android {
    namespace 'com.keyboard.journey'
    compileSdk 34

    defaultConfig {
        applicationId "com.keyboards.journey"
        minSdk 23
        targetSdk 34
        versionCode 5
        versionName "1.0.5"
        setProperty("archivesBaseName", "Keyboard Journey_V" + versionName + "(${versionCode})_$timestamp")
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled true
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
    buildFeatures {
        viewBinding true
        buildConfig = true
    }
}

dependencies {

    implementation 'androidx.core:core-ktx:1.8.0'
    implementation 'androidx.appcompat:appcompat:1.6.1'
    implementation 'com.google.android.material:material:1.11.0'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.5'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.5.1'
    //banner
    implementation 'io.github.youth5201314:banner:2.2.2'
    //沉浸式
    implementation 'com.geyifeng.immersionbar:immersionbar:3.2.2'
    implementation 'com.geyifeng.immersionbar:immersionbar-ktx:3.2.2'
    //图片加载
    implementation 'com.github.bumptech.glide:glide:4.16.0'
    implementation 'jp.wasabeef:glide-transformations:4.3.0'
    //网络请求
    implementation 'com.squareup.okhttp3:okhttp:4.11.0'
    //上拉下拉
    implementation 'io.github.scwang90:refresh-layout-kernel:2.1.0'
    implementation 'io.github.scwang90:refresh-header-classics:2.1.0'
    implementation 'io.github.scwang90:refresh-footer-classics:2.1.0'
    //pag
    implementation 'com.tencent.tav:libpag:4.0.5.10'
    //json动画
    implementation 'com.airbnb.android:lottie:6.0.0'
    //7z
    implementation 'com.github.omicronapps:7-Zip-JBinding-4Android:Release-16.02-2.02'



    implementation(platform("com.google.firebase:firebase-bom:32.2.2"))
    implementation("com.google.firebase:firebase-analytics-ktx")
    implementation("com.google.firebase:firebase-crashlytics-ktx")
    implementation("com.google.firebase:firebase-config-ktx")
}